<?php
/**
* The template for displaying the footer
*
* Contains the closing of the #content div and all content after.
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package avakfitness
*/
?>
<!-- Footer -->
<footer id="colophon" class="site-footer" role="contentinfo">
	<!-- Footer Widget Area -->
	<div class="widget-area container_12" role="complementary">
		<aside class="widget purple grid_4">
			<div class="widget-header">
				<h3 class="title">Contact Us</h3>
			</div>
			<address class="vcard">
				<div class="vcard-name"><?php echo esc_attr(get_theme_mod('WebsiteAddress')); ?></div>
				<span> <?php echo esc_attr(get_theme_mod( 'address'  )); ?></span>
				<br/>
				<span>Phone: <?php echo esc_attr(get_theme_mod( 'telephone'  )); ?></span>
				<br/>
				
				<span>E-mail: <?php echo esc_attr(get_theme_mod( 'email'  )); ?></span>
				<br/>
				<span>Website: <?php echo esc_attr(get_theme_mod( 'website'  )); ?></span>
			</address>
		</aside>
		<aside class="widget grid_4">
			
			<?php
			if (function_exists('dynamic_sidebar')) {
			dynamic_sidebar("footer-widget1");
			} ?>
			
		</aside>
		<aside class="widget blue grid_4">
			<?php
				if (function_exists('dynamic_sidebar')) {
				dynamic_sidebar("footer-widget2");
			} ?>
		</aside>
	</div>
	<!-- Footer Navigation -->
	<div class="container_12">
		<nav class="grid_12 no-m-b footer-navigation">
			
			<?php
			wp_nav_menu( array(
			'theme_location' => 'footer-menu',
			'container' => '',
			'menu_id' =>'',
			
			
			));
			?>
			
		</nav>
		<div class="clear"></div>
	</div>
	<!-- Site Info -->
	<div class="site-info">
		<div class="container_12">
			<div class="grid_6">
				<span class="theme-copyrights">Copyright <?php echo esc_html(date("Y"));?>. All Rights reserved.</span>
			</div>
			<div class="grid_6">
				<span class="theme-author right">
				<?php /* translators: %s: Footer  */ ?>
					<?php printf( esc_html__( 'Theme %1$s by %2$s.', 'avakfitness' ), 'avakfitness', '<a href="'.esc_url( __( 'http://www.ajayrajbanshi.com.np', 'avakfitness' ) ).'" >Ajaya Rajbanshi</a>' ); ?>
				</div>
				<div class="clear"></div>
			</div>
		</div>
	</footer>
	
</div>
<?php wp_footer(); ?>
</body>
</html>