<?php
/**
* The header for our theme
*
* This is the template that displays all of the <head> section and everything up until <div id="content">
	*
	* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	*
	* @package avakfitness
	*/
?>
<!doctype html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<?php wp_head(); ?>
	</head>
	<!-- <body <?php body_class(); ?>> -->
	<body class="home">
		<div id="page" class="hfeed site">
			<div class="page-decoration">
				
				<!-- Header -->
				<header id="masthead" class="site-header" role="banner">
					<div class="container_12">
						<!-- Site title and description -->
						<div class="grid_12 branding" >
							<div id="logo" class="logo ">
								
								<a href='<?php echo esc_url( home_url( '/' ) ); ?>'><img alt="" src="<?php echo esc_url( get_theme_mod( 'logo' ) ); ?>" width="200" height="100"></a>
							</div>
							<div class="social">
								
								
								<?php
								$facebook =  esc_url(get_theme_mod('facebook'));
								$twitter = esc_url(get_theme_mod('twitter'));
								$youtube =esc_url(get_theme_mod('youtube'));
								$googleplus = esc_url(get_theme_mod('googleplus'));
								$pinterest = esc_url(get_theme_mod('pinterest'));
								
								if($facebook){?>
								<a target="_blank" href="<?php echo esc_url($facebook); ?>" class="icon icon-facebook"></a>
								<?php }
								if($twitter){?>
								<a target="_blank" href="<?php echo esc_url($twitter); ?>" class="icon icon-twitter"></a>
								<?php }
								if($youtube){?>
								<a target="_blank" href="<?php echo esc_url($youtube); ?>" class="icon icon-youtube"></a>
								<?php }
								if($googleplus){?>
								<a target="_blank" href="<?php echo esc_url($googleplus); ?>" class="icon icon-google-plus"></a>
								<?php }
								if($pinterest){?>
								<a target="_blank" href="<?php echo esc_url($pinterest); ?>" class="icon icon-pinterest"></a>
								<?php }
								?>





<h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="" rel="home">
	
										<?php $websiteaddress=esc_url(get_theme_mod('WebsiteAddress'));
										if($websiteaddress) {?>
										<?php echo esc_attr(get_theme_mod('WebsiteAddress'));
										}
										?>


								</a></h1>

								
								<?php $websitdesc=esc_url(get_theme_mod('WebsiteDescription'));
										if($websitdesc) {?>
										<h2 id="site-description"><?php echo esc_attr(get_theme_mod('WebsiteDescription')); ?></h2>
										<?php
										}
										?>
							</div>
						</div>
						
						<div class="clear"></div>
					</div>
					<!-- Site Navigation -->
					<div class="main-menu-section">
						<div class="container_12">
							<nav class="site-navigation main-navigation" role="navigation">
								
								<?php
								wp_nav_menu( array(
								'theme_location' => 'menu-1',
								'container' => '',
								'menu_id' =>'',
								
								// 'walker' => new wp_bootstrap_navwalker()
								));
								?>
							</nav>
							<!-- Search Form -->
							<div class="search-form">
								<a target="_blank" title="Search"><i class="icon-search"></i></a>
								<div class="header-search-form">
									<form role="search" method="get" id="searchform" action="<?php echo esc_url(home_url( '/' )); ?>">
										<input class="sb-search-input" placeholder="Enter your search term..." type="text" value="" name="s" id="s">
										<input class="sb-search-submit" type="submit" value="">
										<span class="sb-icon-search"></span>
									</form>
								</div>
							</div>
						</div>
					</div>
				</header>