<?php
/**
 * AVAK Fitness Theme Customizer
 *
 * @package avakfitness
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function avakfitness_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'avakfitness_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'avakfitness_customize_partial_blogdescription',
		) );
	}


    $wp_customize->add_panel( 'mfc_theme_option', array(
        'priority' => 29,
        'title' => __( 'AVAK Fitness Settings', 'avakfitness' ),
        'description' => __( 'Customize your site with Muscle and Fitness Theme Option', 'avakfitness' ),
    ));  

/* Logo Section */ 
    $wp_customize->add_section( 'logo_section' , array(
   'title' => __( 'Fitness Identiy', 'avakfitness' ),
    'priority'    => 29,
    'description' => 'Upload a logo in the header',
    'panel'       => 'mfc_theme_option',
    ));
        

   $wp_customize->add_setting( 
            'logo', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );


    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
    'label'    => __( 'Logo' , 'avakfitness'),
    'section'  => 'logo_section',
    'settings' => 'logo',
    )));


   $wp_customize->add_setting( 
        'WebsiteAddress', 
        array(
            'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
        )
    );

    $wp_customize->add_control( 'WebsiteAddress', array(
    'label'    => __( 'Website Address', 'avakfitness' ),
    'section'  => 'logo_section',
    'type' => 'text',
    ));


   $wp_customize->add_setting( 
        'WebsiteDescription', 
        array(
            'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
        )
    );

    $wp_customize->add_control( 'WebsiteDescription', array(
    'label'    => __( 'Website Description', 'avakfitness' ),
    'section'  => 'logo_section',
    'type' => 'text',
    ));


/* End: Logo Section */ 


/* Contact Us */
    $wp_customize->add_section( 'ContactUs' , array(
    'title'       => __( 'Contact Us', 'avakfitness' ),
    'priority'    => 30,
    'description' => 'Contact Us Customizer by Ajay Rajbanshi',
    'panel' => 'mfc_theme_option'
    ));
        
   

   $wp_customize->add_setting( 
        'address', 
        array(
            'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
        )
    );

    $wp_customize->add_control( 'address', array(
    'label'    => __( 'Address', 'avakfitness' ),
    'section'  => 'ContactUs',
    'type' => 'text',
    ));


    $wp_customize->add_setting( 
        'telephone', 
        array(
            'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
        )
    );

    $wp_customize->add_control( 'telephone', array(
    'label'    => __( 'Telephone Number', 'avakfitness' ),
    'section'  => 'ContactUs',
    'type' => 'text',
    ));

    
   $wp_customize->add_setting( 
            'email', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

    $wp_customize->add_control( 'email', array(
    'label'    => __( 'Email Address', 'avakfitness' ),
    'section'  => 'ContactUs',
    'type' => 'text',
    ));


      $wp_customize->add_setting( 
            'website', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

    $wp_customize->add_control( 'website', array(
    'label'    => __( 'Website Address', 'avakfitness' ),
    'section'  => 'ContactUs',
    'type' => 'text',
    ));



/* Social Media */
    $wp_customize->add_section( 'SocialMedia' , array(
    'title'       => __( 'Social Media', 'avakfitness' ),
    'priority'    => 29,
    'description' => 'Contact Us Customizer by Ajay Rajbanshi',
    'panel' => 'mfc_theme_option'
    ));
        
   

       $wp_customize->add_setting( 
            'facebook', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

        $wp_customize->add_control( 'facebook', array(
        'label'    => __( 'Facebook', 'avakfitness' ),
        'section'  => 'SocialMedia',
        'type' => 'text',
    ));


       $wp_customize->add_setting( 
            'twitter', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

        $wp_customize->add_control( 'twitter', array(
        'label'    => __( 'Twitter', 'avakfitness' ),
        'section'  => 'SocialMedia',
        'type' => 'text',
    ));


       $wp_customize->add_setting( 
            'youtube', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

        $wp_customize->add_control( 'youtube', array(
        'label'    => __( 'Youtube', 'avakfitness' ),
        'section'  => 'SocialMedia',
        'type' => 'text',
    ));


       $wp_customize->add_setting( 
            'googleplus', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

        $wp_customize->add_control( 'googleplus', array(
        'label'    => __( 'Google Plus', 'avakfitness' ),
        'section'  => 'SocialMedia',
        'type' => 'text',
    ));

      
       $wp_customize->add_setting( 
            'pinterest', 
            array(
                'sanitize_callback' => 'wp_filter_nohtml_kses' //removes all HTML from content
            )
        );

        $wp_customize->add_control( 'pinterest', array(
        'label'    => __( 'Pinterest', 'avakfitness' ),
        'section'  => 'SocialMedia',
        'type' => 'text',
    ));

}
add_action( 'customize_register', 'avakfitness_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function avakfitness_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function avakfitness_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function avakfitness_customize_preview_js() {
	wp_enqueue_script( 'avakfitness-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'avakfitness_customize_preview_js' );




function avak_sanitize_category($input){
  $output=intval($input);
  return $output;
}




